Add pretty_tox setup

This changeset adds the pretty_tox script runner to SQLAlchemy-migrate,
so that current test runs can be viewed clearly.

Change-Id: I3884703e24cb636983a0202c46899c772419d401
This commit is contained in:
Mike Bayer 2015-01-29 13:50:10 -05:00
parent 75034abe51
commit 997855db3b
3 changed files with 19 additions and 2 deletions

View File

@ -16,6 +16,7 @@ sphinx>=1.1.2,<1.2
sphinxcontrib_issuetracker
testrepository>=0.0.17
testtools>=0.9.34,<0.9.36
tempest-lib>=0.1.0
scripttest
# NOTE(rpodolyaka): This version identifier is currently necessary as

16
tools/pretty_tox.sh Executable file
View File

@ -0,0 +1,16 @@
#!/usr/bin/env bash
# return nonzero exit status of rightmost command, so that we
# get nonzero exit on test failure without halting subunit-trace
set -o pipefail
TESTRARGS=$1
python setup.py testr --testr-args="--subunit $TESTRARGS --concurrency=1" | subunit-trace -f
retval=$?
# NOTE(mtreinish) The pipe above would eat the slowest display from pbr's testr
# wrapper so just manually print the slowest tests
echo -e "\nSlowest Tests:\n"
testr slowest
exit $retval

View File

@ -5,12 +5,12 @@ envlist = py26,py27,py26sa07,py27sa07,py26sa08,py27sa08,py26sa09,py27sa09,py33,p
[testenv]
usedevelop = True
whitelist_externals = bash
install_command = pip install {opts} {packages}
setenv = VIRTUAL_ENV={envdir}
deps = -r{toxinidir}/requirements.txt
-r{toxinidir}/test-requirements.txt
commands =
python setup.py testr --slowest --testr-args='{posargs} --concurrency=1'
commands = bash tools/pretty_tox.sh '{posargs}'
[testenv:py26]
deps = sqlalchemy>=0.9